### Method

# ECal ComponentAlarmTrigger set_absolute_time

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_set_absolute_time (
      ECalComponentAlarmTrigger* trigger,
      const ICalTime* absolute_time
    )

#### Description [src]

Sets the `trigger` absolute time for an absolute trigger. The `absolute_time` should be date/time (not date) in UTC.

The function does nothing, when the `trigger` is a relative trigger.

Available since: 3.34

#### Parameters

`absolute_time`

  Type: `None`

  Absolute time for an absolute trigger, as an `ICalTime`.

  The data is owned by the caller of the method.